Last Comment Bug 921477 - Certificate usage on Firefox Android 24 and newer
: Certificate usage on Firefox Android 24 and newer
Status: VERIFIED FIXED
: regression
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: 24 Branch
: ARM Android
: -- normal (vote)
: Firefox 27
Assigned To: Kartikaya Gupta (email:kats@mozilla.com)
:
Mentors:
Depends on:
Blocks: 878848
  Show dependency treegraph
 
Reported: 2013-09-27 06:51 PDT by info
Modified: 2016-07-29 14:36 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
wontfix
verified
verified
verified


Attachments
Patch (1.37 KB, patch)
2013-09-27 11:09 PDT, Kartikaya Gupta (email:kats@mozilla.com)
bugmail: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description info 2013-09-27 06:51:31 PDT
User Agent: Mozilla/5.0 (Windows NT 6.1; rv:22.0) Gecko/20100101 Firefox/22.0 (Beta/Release)
Build ID: 20130618035212

Steps to reproduce:

On Firefox 23 i use add-on for import Certificates
Cc["@mozilla.org/security/x509certdb;1"].getService(Ci.nsIX509CertDB2)
&& for user certificate
Cc["@mozilla.org/security/x509certdb;1"].getService(Ci.nsIX509CertDB);

This add-in works with Firefox 23 and newer(Test with Aurora 26 && Fennec 27)
(Imports OK)





Actual results:

With firefox 23, when i load secure URL,  i select my user certificate (from the firefox Keystore) and i 'm connect with success

With firefox 24 and newer, i doesn't show prompt dialog for select user certificate and result is =ssl_error_handshake_failure_alert

Log (with Aurora >>> same bug with firefox 24 and fennec 27.)

09-27 15:48:17.253: E/GeckoConsole(22691): [JavaScript Error: "this.getPrompt(...).addLabel(...).addMenuList is not a function" {file: "jar:jar:file:///data/app/org.mozilla.fennec_aurora-1.apk!/assets/omni.ja!/components/NSSDialogService.js" line: 188}]
09-27 15:48:17.388: E/GeckoConsole(22691): An error occurred during a connection to secret.server.com.
09-27 15:48:17.388: E/GeckoConsole(22691): SSL peer was unable to negotiate an acceptable set of security parameters.
09-27 15:48:17.388: E/GeckoConsole(22691): (Error code: ssl_error_handshake_failure_alert)
Comment 1 Aaron Train [:aaronmt] 2013-09-27 06:56:41 PDT
Please don't set severity.
Comment 2 info 2013-09-27 07:12:02 PDT
(In reply to Aaron Train [:aaronmt] from comment #1)
> Please don't set severity.

Ok ;(
It's a  regression ?
Comment 3 Aaron Train [:aaronmt] 2013-09-27 08:22:20 PDT
Can you paste how you're calling the prompt dialog? I think this is due to changes on mozilla-24 from bug 878848. I've CC'ed Wes and Kats as they touched NSSDialogService.js
Comment 4 Wesley Johnston (:wesj) 2013-09-27 09:59:52 PDT
This is just a typo (and I this code is hard to test). The method should be addMenulist()
Comment 5 Aaron Train [:aaronmt] 2013-09-27 10:11:08 PDT
If you can confirm that info@cc2i.org, we can close this out as invalid.
Comment 6 Kartikaya Gupta (email:kats@mozilla.com) 2013-09-27 11:03:04 PDT
(In reply to Aaron Train [:aaronmt] from comment #5)
> If you can confirm that info@cc2i.org, we can close this out as invalid.

The bug is in our code; at http://mxr.mozilla.org/mozilla-central/source/mobile/android/components/NSSDialogService.js#185
Comment 7 Kartikaya Gupta (email:kats@mozilla.com) 2013-09-27 11:07:09 PDT
Fixed with wesj's rubberstamp r+ on IRC:

https://hg.mozilla.org/integration/fx-team/rev/d39711d1bc60
Comment 8 Kartikaya Gupta (email:kats@mozilla.com) 2013-09-27 11:09:36 PDT
Created attachment 811260 [details] [diff] [review]
Patch

[Approval Request Comment]
Bug caused by (feature/regressing bug #): 878848
User impact if declined: adding certificates (via addons) might fail
Testing completed (on m-c, etc.): none, but hopefully the reporter will verify on the nightly build that has the fix
Risk to taking this patch (and alternatives if risky): low risk, typo fix
String or IDL/UUID changes made by this patch: none
Comment 9 Wes Kocher (:KWierso) 2013-09-27 20:35:47 PDT
https://hg.mozilla.org/mozilla-central/rev/d39711d1bc60
Comment 10 info 2013-09-28 03:24:51 PDT
Thank you all for the response!
Comment 11 info 2013-09-28 04:08:42 PDT
I tested it at the next nithly build.
Comment 13 info 2013-10-01 01:43:47 PDT
Nice !
I post a addon for importing User Certificate (Firefox Android) :

https://addons.mozilla.org/en-US/firefox/addon/addcertificate/

Thank you !!

Note You need to log in before you can comment on or make changes to this bug.